Bug 1927013 - Tables don't render properly at smaller screen widths
Summary: Tables don't render properly at smaller screen widths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1927407
TreeView+ depends on / blocked
 
Reported: 2021-02-09 20:19 UTC by Samuel Padgett
Modified: 2021-07-27 22:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixed a display issue rendering tables on mobile devices.
Clone Of:
Environment:
Version: 4.7.0-rc.0 Cluster ID: 78f5faf6-3054-4592-832e-23cb1d4bfca8 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:85.0) Gecko/20100101 Firefox/85.0
Last Closed: 2021-07-27 22:43:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of table layout (175.71 KB, image/png)
2021-02-09 20:19 UTC, Samuel Padgett
no flags Details
Table rendering - iPad (181.92 KB, image/png)
2021-02-20 05:47 UTC, Yadan Pei
no flags Details
Table rendering - iPhone X (176.51 KB, image/png)
2021-02-20 05:48 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8119 0 None closed Bug 1927013: update pf virtualized dependency to fix breakpoint prop missing in virtualized table 2021-02-20 02:27:52 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:43:32 UTC

Description Samuel Padgett 2021-02-09 20:19:12 UTC
Created attachment 1756043 [details]
Screenshot of table layout

With the latest Patternfly release, the tables stack content instead of rendering them in columns. This doesn't match the table headers in our list views, and it's something that OpenShift has intentionally disabled in the past. See attached screenshot.

Comment 3 Yadan Pei 2021-02-20 05:47:08 UTC
Created attachment 1758357 [details]
Table rendering - iPad

Comment 4 Yadan Pei 2021-02-20 05:48:21 UTC
Created attachment 1758358 [details]
Table rendering - iPhone X

Now the tables are rendered correctly on iPad and iPhone X

Verified on 4.8.0-0.nightly-2021-02-19-111007

Comment 7 errata-xmlrpc 2021-07-27 22:43:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.